core::posix::backtrace::Frame::Symbol Class Referenceabstract

The Symbol class models the symbolic representation of a frame pointer. More...

`#include <backtrace.h>`

Collaboration diagram for core::posix::backtrace::Frame::Symbol:

## Public Member Functions

| Symbol (const Symbol &)=delete
virtual | ~Symbol ()=default
Symbol & | operator= (const Symbol &)=delete
virtual bool | is_cxx () const =0
| is_cxx checks whether the symbol refers to a mangled C++ symbol.
virtual std::string | demangled () const =0
| demangled returns the demangled C++ symbol name or raw.
virtual std::string | raw () const =0
| raw The raw symbolic representation of a frame pointer.

## Static Public Member Functions

static std::shared_ptr< Symbol > | for_testing_from_raw_symbol (const char *symbol)

## Protected Member Functions

| Symbol ()=default

## Detailed Description

The Symbol class models the symbolic representation of a frame pointer.

Definition at line 43 of file backtrace.h.

## Constructor & Destructor Documentation

## Symbol() [1/2]

core::posix::backtrace::Frame::Symbol::Symbol | ( | const Symbol & |  | ) |

delete

## ~Symbol()

virtual core::posix::backtrace::Frame::Symbol::~Symbol | ( |  | ) |

virtual default

## Symbol() [2/2]

core::posix::backtrace::Frame::Symbol::Symbol | ( |  | ) |

protected default

## Member Function Documentation

## demangled()

virtual std::string core::posix::backtrace::Frame::Symbol::demangled | ( |  | ) | const

pure virtual

demangled returns the demangled C++ symbol name or raw.

## for_testing_from_raw_symbol()

std::shared_ptr< bt::Frame::Symbol > bt::Frame::Symbol::for_testing_from_raw_symbol | ( | const char * | symbol | ) |

static

Definition at line 120 of file backtrace.cpp.

Referenced by TEST().

## is_cxx()

virtual bool core::posix::backtrace::Frame::Symbol::is_cxx | ( |  | ) | const

pure virtual

is_cxx checks whether the symbol refers to a mangled C++ symbol.

Returns
  true iff the symbol refers to a mangled C++ symbol.

## operator=()

Symbol & core::posix::backtrace::Frame::Symbol::operator= | ( | const Symbol & |  | ) |

delete

## raw()

virtual std::string core::posix::backtrace::Frame::Symbol::raw | ( |  | ) | const

pure virtual

raw The raw symbolic representation of a frame pointer.

Returns

The documentation for this class was generated from the following files:

- backtrace.h
- backtrace.cpp